sample {base} | R Documentation

## Random Samples and Permutations

### Description

`sample` takes a sample of the specified size from the elements of `x` using either with or without replacement.

### Usage

    sample(x, size, replace = FALSE, prob = NULL)

### Arguments

`x` | Either a (numeric, complex, character or logical) vector of more than one element from which to choose, or a positive integer.
`size` | A positive integer giving the number of items to choose.
`replace` | Should sampling be with replacement?
`prob` | A vector of probability weights for obtaining the elements of the vector being sampled.

### Details

If `x` has length 1, sampling takes place from `1:x`.

By default `size` is equal to `length(x)` so that `sample(x)` generates a random permutation of the elements of `x` (or `1:x`).

The optional `prob` argument can be used to give a vector of weights for obtaining the elements of the vector being sampled. They need not sum to one, but they should be nonnegative and not all zero. If `replace` is false, these probabilities are applied sequentially, that is the probability of choosing the next item is proportional to the probabilities amongst the remaining items. The number of nonzero weights must be at least `size` in this case.

### Examples

    x <- 1:12
    # a random permutation
    sample(x)
    # bootstrap sampling
    sample(x,replace=TRUE)

    # 100 Bernoulli trials
    sample(c(0,1), 100, replace = TRUE)

[Package Contents]